package examenes.examen20250131.ejercicio04;

import examenes.examen20250131.ejercicio04.listener.CheckeadorNums;
import examenes.examen20250131.utils.Utils;

public class Main {
    public static void main(String[] args) {

        Matematico m1 = new Matematico();
        Matematico m2 = new Matematico();


        String texto = Utils.solicitarStringScannerInline("Introduzca una lista de números separador por espacios: ");

        String[] arrayTexto = texto.strip().split("[ ]+");

        int[] arrayNums = new int[arrayTexto.length];

        for (int i = 0; i < arrayTexto.length; i++) {
            arrayNums[i] = Integer.parseInt(arrayTexto[i]);
            CheckeadorNums.comprobadorNums(arrayNums[i]);
        }

    }
}
